package com.mortals.xhx.daemon.task;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.module.hik.face.service.FacePlanService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 创建每日预约人群，并添加的预约人脸组中
 * 执行时间需晚于预约人群同步时间
 * @author:
 * @date: 2023/5/9 13:44
 */
@Slf4j
//@Service("CreateAppointPersonToHikBlackPlanByDay")
public class CreateAppointPersonToHikBlackPlanByDayTaskImpl implements ITaskExcuteService {

    @Autowired
    private FacePlanService facePlanService;


    @Override
    public void excuteTask(ITask task) throws AppException {

        log.info("创建每日预约人群任务");
        facePlanService.createAppointmentPersonByDay();
        log.info("创建每日预约人群完成");
    }

    @Override
    public void stopTask(ITask task) throws AppException {

    }


}
